OPAM(1)

NAME

opam - source-based OCaml package management

SYNOPSIS

opam COMMAND ...

DESCRIPTION

OPAM is a package manager for OCaml. It uses the powerful mancoosi tools to handle dependencies, including support for version constraints, optional dependencies, and conflict management.

It has support for different remote repositories such as HTTP, rsync, git and darcs. It handles multiple OCaml versions concurrently, and is flexible enough to allow you to use your own repositories and packages in addition to the central ones it provides.

Use either opam <command> --help or opam help <command> for more information on a specific command.

COMMANDS

config
    Display configuration options for packages.

help
    Display help about OPAM and OPAM commands.

info
    Display information about specific packages.

init
    Initialize OPAM state.

install
    Install a list of packages.

list
    Display the list of available packages.

pin Pin a given package to a specific version.

reinstall
    Reinstall a list of packages.

remote
    Manage OPAM repositories.

remove
    Remove a list of packages.

repository
    Manage OPAM repositories.

search
    Search into the package list.

switch
    Manage multiple installation of compilers.

update
    Update the list of available packages.

upgrade
    Upgrade the installed package to latest version.

upload
    Upload a package to an OPAM repository.

COMMON OPTIONS

These options are common to all commands.

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a value greater or equal to 2.

--git-version
    Print the git version if it exists and exit.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=/Users/tgazagna/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting either $OPAMDEBUG to a value greater or equal to 1 or $OPAMVERBOSE to a non-empty string.

--version
    Show version information.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

FURTHER DOCUMENTATION

See http://opam.ocamlpro.com.

AUTHORS

Thomas Gazagnaire <thomas.gazagnaire@ocamlpro.com>

Frederic Tuong <tuong@users.gforge.inria.fr>

Vincent Bernardoff <vb@luminar.eu.org>

Guillem Rieu <guillem.rieu@ocamlpro.com>

BUGS

Check bug reports at https://github.com/OCamlPro/opam/issues.